ubuntu/+source/libgcrypt20:ubuntu/wily-updates

Last commit made on 2016-02-15
Get this branch:
git clone -b ubuntu/wily-updates https://git.launchpad.net/ubuntu/+source/libgcrypt20
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/wily-updates
Repository:
lp:ubuntu/+source/libgcrypt20

Recent commits

662f148... by Marc Deslauriers on 2016-02-10

Import patches-unapplied version 1.6.3-2ubuntu1.1 to ubuntu/wily-security

Imported using git-ubuntu import.

Changelog parent: e010c16cad40ecf667fbda42bf656be7e69443ff

New changelog entries:
  * SECURITY UPDATE: side-channel attack on ECDH
    - debian/patches/CVE-2015-7511.patch: perform input validation and fix
      error paths in cipher/ecc.c, use constant-time multiplication in
      mpi/ec.c.
    - CVE-2015-7511

e010c16... by Marc Deslauriers on 2015-05-21

Import patches-unapplied version 1.6.3-2ubuntu1 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 759569b61af8a54ef84c1fa6862cf2472e956409

New changelog entries:
  * Merge from Debian unstable, remaining changes:
    - debian/rules: Drop from -O3 to -O2 to work around FTBFS on ppc64el.

759569b... by Andreas Metzler <email address hidden> on 2015-03-01

Import patches-unapplied version 1.6.3-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: a6b2428988d5fbe165595d028e46a65a895681f8

New changelog entries:
  * Upload to unstable.
  * Fix Vcs-Browser link.

a6b2428... by Andreas Metzler <email address hidden> on 2015-02-28

Import patches-unapplied version 1.6.3-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 78d038d6a581d4bef50fa93013e6c652c4c318e5

New changelog entries:
  * Use ascii-armored debian/upstream/signing-key.asc instead of
    debian/upstream-signing-key.pgp for uscan's verification. This alllows us
    to drop debian/source/include-binaries. Add 2071B08A33BD3F06 as accepted
    key.
  * New upstream release.

78d038d... by Andreas Metzler <email address hidden> on 2014-09-27

Import patches-unapplied version 1.6.2-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 9946c059bbef538f1881becbcf80a5b4739ed68b

New changelog entries:
  * Add libgcrypt11-dev transitional package. It Breaks libgnutls-dev
    (<< 2.12.23-18), because addition of a dummy package does not magically
    fix GnuTLS 2.x incompatibilities with libgcrypt20.

9946c05... by Andreas Metzler <email address hidden> on 2014-08-31

Import patches-unapplied version 1.6.2-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: cb1b09d3dee64eccf488a158e66d4c419c49d278

New changelog entries:
  * libgcrypt20-dev provides libgcrypt-dev.

cb1b09d... by Andreas Metzler <email address hidden> on 2014-08-24

Import patches-unapplied version 1.6.2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: bc60cede999dadade0b222691f7a0582b034e322

New changelog entries:
  * Upload to unstable.

bc60ced... by Andreas Metzler <email address hidden> on 2014-08-21

Import patches-unapplied version 1.6.2-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 7574e3039a5683b7c787cdc705a14d17426599df

New changelog entries:
  * New upstream bugfix release.
  * Upload to experimental, do not delay propagation of udeb (#758756) to
    testing.

7574e30... by Andreas Metzler <email address hidden> on 2014-08-21

Import patches-unapplied version 1.6.1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 3c5ad670069cba9f28975a4a052baf94ce6acbd7

New changelog entries:
  * Add udeb. Closes: #758756

3c5ad67... by Andreas Metzler <email address hidden> on 2014-03-17

Import patches-unapplied version 1.6.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: d1cc27d1ade46349fe13ef074722532332ab7d1b

New changelog entries:
  * libgcrypt20-dev does not provide libgcrypt-dev anymore and conflicts with
    libgcrypt11-dev in addition to the virtual package libgcrypt-dev.
    The previous setup of having libgcryptXX-dev provide/conflict
    libgcrypt-dev breaks for packages build-depending on the virtual package.
    Closes: #741959